Debian Bug report logs - #698601
ITP: lldb -- Next generation, high-performance debugger

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Sun, 20 Jan 2013 22:12:02 UTC

Owned by: Sylvestre Ledru <sylvestre@debian.org>

Severity: wishlist

Fixed in version llvm-toolchain-3.2/3.2repack-1~exp1

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698601; Package wnpp. (Sun, 20 Jan 2013 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 20 Jan 2013 22:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: lldb -- Next generation, high-performance debugger
Date: Sun, 20 Jan 2013 23:09:45 +0100
Package: wnpp
Severity: wishlist
Owner: Sylvestre Ledru <sylvestre@debian.org>

* Package name    : lldb
  Version         : 3.2
  Upstream Author : LLVM community
* URL             : http://lldb.llvm.org/
* License         : BSD Style
  Programming Lang: C++
  Description     : Next generation, high-performance debugger

LLDB is a next generation, high-performance debugger. It is built as a set of
reusable components which highly leverage existing libraries in the larger LLVM
Project, such as the Clang expression parser and LLVM disassembler.



Added blocking bug(s) of 698601: 698952 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 15:45:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 698601: 698953 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 15:45:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 01 Feb 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Mon, 08 Apr 2013 22:03:28 GMT) Full text and rfc822 format available.

Notification sent to Sylvestre Ledru <sylvestre@debian.org>:
Bug acknowledged by developer. (Mon, 08 Apr 2013 22:03:28 GMT) Full text and rfc822 format available.

Message #16 received at 698601-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 698601-close@bugs.debian.org
Subject: Bug#698601: fixed in llvm-toolchain-3.2 3.2repack-1~exp1
Date: Mon, 08 Apr 2013 22:00:22 +0000
Source: llvm-toolchain-3.2
Source-Version: 3.2repack-1~exp1

We believe that the bug you reported is fixed in the latest version of
llvm-toolchain-3.2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698601@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated llvm-toolchain-3.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Feb 2013 12:14:10 +0100
Source: llvm-toolchain-3.2
Binary: clang clang-3.2 clang-3.2-doc libclang1 libclang1-dbg libclang-dev libclang-common-dev libllvm3.2 libllvm3.2-dbg llvm-3.2 llvm-3.2-runtime llvm-3.2-dev libllvm-3.2-ocaml-dev llvm-3.2-doc llvm-3.2-examples lldb-3.2
Architecture: source all amd64
Version: 3.2repack-1~exp1
Distribution: experimental
Urgency: low
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 clang      - C, C++ and Objective-C compiler (LLVM based)
 clang-3.2  - C, C++ and Objective-C compiler (LLVM based)
 clang-3.2-doc - C, C++ and Objective-C compiler (LLVM based) - Documentation
 libclang-common-dev - clang library - Common development package
 libclang-dev - clang library - Development package
 libclang1  - clang library
 libclang1-dbg - clang library
 libllvm-3.2-ocaml-dev - Low-Level Virtual Machine (LLVM), bindings for OCaml
 libllvm3.2 - Low-Level Virtual Machine (LLVM), runtime library
 libllvm3.2-dbg - Low-Level Virtual Machine (LLVM), debugging symbols library
 lldb-3.2   - Next generation, high-performance debugger
 llvm-3.2   - Low-Level Virtual Machine (LLVM)
 llvm-3.2-dev - Low-Level Virtual Machine (LLVM), libraries and headers
 llvm-3.2-doc - Low-Level Virtual Machine (LLVM), documentation
 llvm-3.2-examples - Low-Level Virtual Machine (LLVM), examples
 llvm-3.2-runtime - Low-Level Virtual Machine (LLVM), bytecode interpreter
Closes: 696474 696913 697754 698352 698601
Changes: 
 llvm-toolchain-3.2 (3.2repack-1~exp1) experimental; urgency=low
 .
   * Build the whole LLVM toolchain at once. This includes:
     - LLVM
     - Clang
     - compiler-rt
     - lldb
     - polly
   * Also install clang-check & clang-tblgen in the clang-3.2 package
   * Fix the patch detection of clang from scan-build (Closes: #698352)
   * debian/patches/0050-powerpcspe-fp.diff: Add, hopefully fix FTBFS on
     powerpcspe, by disabling save / restore of floating point registers which
     don't exist on powerpcspe. Thanks to Roland Stigge for the patch.
     (Closes: #696474)
   * libLLVM-3.2.so.1 is now shipped only once (Closes: #696913)
   * Enable RTTI (Closes: #697754)
   * Introduce lldb as a new package (Closes: #698601)
   * Add a script pollycc which will call clang with the right arguments.
   * Use __builtin___clear_cache on ARM to fix a clang bug.
     Thanks to Matthias Klose.
   * Enable the r600 experimental backend for mesa 9.1.
Checksums-Sha1: 
 e2218580a476782bff1b87ebc268fbd39e958098 3731 llvm-toolchain-3.2_3.2repack-1~exp1.dsc
 55f3e2831a4e9284584de79ac722a9ddda22ad3d 7015235 llvm-toolchain-3.2_3.2repack.orig-clang.tar.bz2
 a640ebe958c5fa62663192ee13388601bf4dc2d4 1028586 llvm-toolchain-3.2_3.2repack.orig-compiler-rt.tar.bz2
 653f5e2a3a23603341347ac8624c59c003d3123d 2381779 llvm-toolchain-3.2_3.2repack.orig-lldb.tar.bz2
 8e36c468f3d56d13e3966a8dc6af0697c9208819 323338 llvm-toolchain-3.2_3.2repack.orig-polly.tar.bz2
 ef624bde31c347f884d117ca70caddafb7cb6956 9401972 llvm-toolchain-3.2_3.2repack.orig.tar.bz2
 33b84647083238438179f8915059eb4bc68cf184 194415 llvm-toolchain-3.2_3.2repack-1~exp1.debian.tar.gz
 06df1e851965fb2963bb7ea1a5673152aa7af96f 5518 clang_3.2repack-1~exp1_all.deb
 1b56a6ae88a31873d4fbe588419ac4711d11e9fb 10126234 clang-3.2_3.2repack-1~exp1_amd64.deb
 c7a0ddb532acbe66e6b00fe75ff4e6824d9002eb 375986 clang-3.2-doc_3.2repack-1~exp1_all.deb
 e9a7f5abd0f21b2d9a20695c962cda1c50129547 4170704 libclang1_3.2repack-1~exp1_amd64.deb
 9fdbb537e55b698dd8c71da26e4884c781c6c1f7 80094730 libclang1-dbg_3.2repack-1~exp1_amd64.deb
 6789f3ed9b8c2dc9e34820af11e09c6f49648e79 10704306 libclang-dev_3.2repack-1~exp1_amd64.deb
 c7af5e9de7fda614899c31bccbbe09db40de90f3 308510 libclang-common-dev_3.2repack-1~exp1_amd64.deb
 a3343aee85c24f088626431a5e84228f61e4986e 7838744 libllvm3.2_3.2repack-1~exp1_amd64.deb
 7ff32ea6753090242d4b17b4adec6c8dd15e6fa7 100607492 libllvm3.2-dbg_3.2repack-1~exp1_amd64.deb
 c7b13a7099c15c1db819863853ac156109c36ec4 1467324 llvm-3.2_3.2repack-1~exp1_amd64.deb
 c05aca5018498056760b41a8c8768c16b5f36fda 36162 llvm-3.2-runtime_3.2repack-1~exp1_amd64.deb
 b6fba5e6c0c9e72a31733a2722689380ee01fe8d 14294344 llvm-3.2-dev_3.2repack-1~exp1_amd64.deb
 86488d64e2ecfc381b5776868f49489960df19fa 257992 libllvm-3.2-ocaml-dev_3.2repack-1~exp1_amd64.deb
 39acf81487aeb17c10c974e88fe17ba18b72805d 1216914 llvm-3.2-doc_3.2repack-1~exp1_all.deb
 523f6471c656dd7457d198f94c2d6fb1c56a50a0 103734 llvm-3.2-examples_3.2repack-1~exp1_all.deb
 984b522c16843a74a8b9e6b49d2b2a375dab131b 7504102 lldb-3.2_3.2repack-1~exp1_amd64.deb
Checksums-Sha256: 
 6853d519330b205e78cb18fc10221aa7839788a306cbc601b8c7a1be2203e73e 3731 llvm-toolchain-3.2_3.2repack-1~exp1.dsc
 1f8b36f88ced8a57951a12441c1d6e4c9e2c55778b387171621977d36e526930 7015235 llvm-toolchain-3.2_3.2repack.orig-clang.tar.bz2
 cf4646c4cbcfee881ee9833fcc09ebaec24be3f8390a6a07d328526e99a7e80c 1028586 llvm-toolchain-3.2_3.2repack.orig-compiler-rt.tar.bz2
 a5676df6a8b9ee5524585d51e30999982c07b45fbe943e14408f8c9ef57d27e8 2381779 llvm-toolchain-3.2_3.2repack.orig-lldb.tar.bz2
 6918e812643be1190e040ccb9d11f7f687cc38b75138e1b98685f972e0f291c9 323338 llvm-toolchain-3.2_3.2repack.orig-polly.tar.bz2
 fe8fbd8d56e4a525494f1d8bfc3596384bb193e49513fbfe5720246bd6c7587f 9401972 llvm-toolchain-3.2_3.2repack.orig.tar.bz2
 bdf0829e20755b8fad9f41765cb8c611a2cb769472be1d732bd8a8ae909f30aa 194415 llvm-toolchain-3.2_3.2repack-1~exp1.debian.tar.gz
 84807c51d3a31a8215da4b159110f704f793baa2ab3d9f93f5d6edb1b8958ef0 5518 clang_3.2repack-1~exp1_all.deb
 5b3b6910665a27fa38d4f70b08d6e1d505b42557f5286c2d70e6f52153a8d89e 10126234 clang-3.2_3.2repack-1~exp1_amd64.deb
 1d518b899d2418b1f51b66c91eb65b9daab8b99e1191d18de533077f39af5b21 375986 clang-3.2-doc_3.2repack-1~exp1_all.deb
 9e5aa01d0d70c9986da50e23f6bd3a805176407a70c86b283c56ce03dbfdd015 4170704 libclang1_3.2repack-1~exp1_amd64.deb
 fccd0e69790ebfd778e9d77cbc47b7b6025fbf93074e9366396b8154706037b5 80094730 libclang1-dbg_3.2repack-1~exp1_amd64.deb
 d36d19fc172fcca33b9dd7a012faf423cab3e7d9895da650909c744066499abc 10704306 libclang-dev_3.2repack-1~exp1_amd64.deb
 58b85f5c8fa14d8425d37e1db1b29cd23149e0e0f1d75b891bbb3fe2c4018f59 308510 libclang-common-dev_3.2repack-1~exp1_amd64.deb
 e7bc00b6f2f9a74741275816989f7a858fc96350acb278771031c869ee900100 7838744 libllvm3.2_3.2repack-1~exp1_amd64.deb
 543a720b6446ee2da3afad3dd54ca0bf6acf3c9e072ff8f0b26a3f93ca63f6da 100607492 libllvm3.2-dbg_3.2repack-1~exp1_amd64.deb
 ff5c31e97a033dc655e211e6f8684773d0c55599fa5470e37d2316047ad7c182 1467324 llvm-3.2_3.2repack-1~exp1_amd64.deb
 9fa851d3d9182a9c907783cdcfd05e1fa17377665a3ad75f903d2c78a3b1ac0b 36162 llvm-3.2-runtime_3.2repack-1~exp1_amd64.deb
 20a5f9e9f309c7f14ceed598276f6d854ad4ff3ceb72abaaa65da77e3cedcc41 14294344 llvm-3.2-dev_3.2repack-1~exp1_amd64.deb
 620e160ba28d95ef5fa6ba48d5553b57a6e5aae103aebafa5c163f1db8d1ea6c 257992 libllvm-3.2-ocaml-dev_3.2repack-1~exp1_amd64.deb
 f56b0c5e2b51d1ef15be7e8ec507fa0668ee08a84179ae719f44f0c8fcc27385 1216914 llvm-3.2-doc_3.2repack-1~exp1_all.deb
 04b080c31ee6428aff5c092054779f0091f4b3c58aef713c360050c9db837b21 103734 llvm-3.2-examples_3.2repack-1~exp1_all.deb
 31f7c4202079ae57ba619ae19fc38cb7d071fe9d64b7c98099a5e065e5ac71f1 7504102 lldb-3.2_3.2repack-1~exp1_amd64.deb
Files: 
 1a6288e68873dd861029200e260f85a7 3731 devel optional llvm-toolchain-3.2_3.2repack-1~exp1.dsc
 63887662346ff02e98c807cbc456caa9 7015235 devel optional llvm-toolchain-3.2_3.2repack.orig-clang.tar.bz2
 f4b0fb9d44f365d606175fee89c5bd9c 1028586 devel optional llvm-toolchain-3.2_3.2repack.orig-compiler-rt.tar.bz2
 e4be2529607b600b3c897d38243c9656 2381779 devel optional llvm-toolchain-3.2_3.2repack.orig-lldb.tar.bz2
 b84cd61549e4e9d3a525856ac088ef1b 323338 devel optional llvm-toolchain-3.2_3.2repack.orig-polly.tar.bz2
 bc66a28ebd202f2f21481400477a7d3a 9401972 devel optional llvm-toolchain-3.2_3.2repack.orig.tar.bz2
 443c2471ba052ce68c66b779178722a9 194415 devel optional llvm-toolchain-3.2_3.2repack-1~exp1.debian.tar.gz
 457595bb9ba4bb6c9c4b3c5ae162f679 5518 devel optional clang_3.2repack-1~exp1_all.deb
 309536371601b4ae89fecbde537810ec 10126234 devel optional clang-3.2_3.2repack-1~exp1_amd64.deb
 2fd1343063c2c98bcf2f5459d375b5be 375986 doc optional clang-3.2-doc_3.2repack-1~exp1_all.deb
 c5604291f68cbd23e83924d7adda41bb 4170704 devel optional libclang1_3.2repack-1~exp1_amd64.deb
 a0ebb2d8447f426e7fe576151ddc49bf 80094730 debug extra libclang1-dbg_3.2repack-1~exp1_amd64.deb
 7678e644883151c55502d41d279bb93e 10704306 libdevel optional libclang-dev_3.2repack-1~exp1_amd64.deb
 a4e1f411df2bf71171bc5565b33b6425 308510 libdevel optional libclang-common-dev_3.2repack-1~exp1_amd64.deb
 4d5c5bad7da46e8b2628f6870fb07534 7838744 libs optional libllvm3.2_3.2repack-1~exp1_amd64.deb
 c621cbac4899be9523077e3dc2b3fbed 100607492 debug extra libllvm3.2-dbg_3.2repack-1~exp1_amd64.deb
 88f5878c0bc20f3f4e5f5239f76898d7 1467324 devel optional llvm-3.2_3.2repack-1~exp1_amd64.deb
 9cf60b7ae16345150544a5cbb986c3ef 36162 devel optional llvm-3.2-runtime_3.2repack-1~exp1_amd64.deb
 9ec40fe05d454a9166e7bed94111bb20 14294344 devel optional llvm-3.2-dev_3.2repack-1~exp1_amd64.deb
 f81bdddc063b2d41fd1ca288dde50acb 257992 ocaml optional libllvm-3.2-ocaml-dev_3.2repack-1~exp1_amd64.deb
 c9407e85b8b0d9b2e9c233098d993d0b 1216914 doc optional llvm-3.2-doc_3.2repack-1~exp1_all.deb
 21eebe59e44b9542bc4d728e93651266 103734 doc optional llvm-3.2-examples_3.2repack-1~exp1_all.deb
 511d8d203d8bbd01cd7a8186de0c7ff1 7504102 devel optional lldb-3.2_3.2repack-1~exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEXq08ACgkQiOXXM92JlhB5HwCgrQ9tutwknH6L4gMWmDzU0V+h
jy0An1KMV0Eg17rcq3cTLaeiNl6Nwj4S
=h9Cy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 May 2013 07:26:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:02:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.